#ifndef   _HYDRACTINA_H
#define   _HYDRACTINA_H      1


typedef struct _pair {
  int x; int y;
} pair;


/* 9 possible genotypes */
typedef enum haplotype {
  xx, xy, yy
} haplo_t;


/* 3 possible morpholgies */
typedef enum morphology {
  stolon,
  fused,
  unfused
} morph_t;
  

/* a single hydractina */
typedef struct hydractina {
  int         alive;    /* dead or alive? (bool) */
  int         round;    /* last round acted in */
  pair        where;
  haplo_t     genome[2];
  morph_t     morph;
} Hydractina;


#endif
