#ifndef   _GRAFX_H
#define   _GRAFX_H  1

#include <gd.h>
#include "Opts.h"
#include "World.h"


typedef struct colors {

  /* color idea:
   *
   *    - each morphology is a primary color
   *    - each genome is a luminosity
   */
  
  int bgcolor;
  
  int  stolon;
  int   fused;
  int unfused;

  int stolon_xx_xx;
  int stolon_xx_xy;
  int stolon_xx_yy;
  int stolon_xy_xx;
  int stolon_xy_xy;
  int stolon_xy_yy;
  int stolon_yy_xx;
  int stolon_yy_xy;
  int stolon_yy_yy;

  int fused_xx_xx;
  int fused_xx_xy;
  int fused_xx_yy;
  int fused_xy_xx;
  int fused_xy_xy;
  int fused_xy_yy;
  int fused_yy_xx;
  int fused_yy_xy;
  int fused_yy_yy;

  int unfused_xx_xx;
  int unfused_xx_xy;
  int unfused_xx_yy;
  int unfused_xy_xx;
  int unfused_xy_xy;
  int unfused_xy_yy;
  int unfused_yy_xx;
  int unfused_yy_xy;
  int unfused_yy_yy;

} Colors;


typedef struct grafx {
  colorfunc   coloring;
  Colors      colors;
  gdImagePtr  im;
} Grafx;


Grafx *newGrafx(Opts*);
void  world2png(Opts*, World, Grafx*);
void  writepng(Grafx*, char*);

#endif
