#include <assert.h>
#include <math.h>
#include <stdlib.h>
#include "World.h"
#include "rngmit.h"

Hash newRandHash(Opts *opts, World w) {
  int x, y, token;
  Hash h = calloc(opts->sizesq, sizeof(Hydractina *));
  
  for (x = 0; x < opts->size; x++) {
    for (y = 0; y < opts->size; y++) {

      
      token = floor( rngmit * opts->sizesq );
      assert(token < opts->sizesq);
      
      /* find an empty slot */
      while (h[token]) {      
        token++;
        if (token >= opts->sizesq) 
          token = 0;
      }
      
      h[token] = &w[x][y];
    }
  }
  return h;
}
