#ifndef   _WORLD_H
#define   _WORLD_H      1

#include "Hydractina.h"
#include "Opts.h"


#define _alloRecognize(self,other) (other.alive && (self->genome[0] == other.genome[0] || self->genome[1] == other.genome[1]))

     
#define _isMat(hydra) ((hydra.morph == fused || hydra.morph == unfused) && hydra.alive)


typedef Hydractina** World;
typedef Hydractina** Hash;


World newWorld(Opts*);
void  updateWorld(Opts*, World, Hash, int);
void placeHydra(World, Hydractina*);


Hash newRandHash(Opts*, World);


#endif
